"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConstantProvider = void 0;
const provider_1 = require("./provider");
const state_1 = require("./state");
/**
 * @inheritDoc
 * This specialization is always a Singleton.
 */
class ConstantProvider extends provider_1.Provider {
    constructor(constant) {
        super();
        this.singleton = state_1.State.MakeState(null, undefined, constant);
    }
    provideAsState() {
        return this.singleton;
    }
}
exports.ConstantProvider = ConstantProvider;
//# sourceMappingURL=constant-provider.js.map